curl --request GET \
--url https://api.zavu.dev/v1/senders/{senderId} \
--header 'Authorization: Bearer <token>'{
"id": "sender_12345",
"name": "Primary sender",
"phoneNumber": "+13125551212",
"isDefault": false,
"webhook": {
"url": "https://api.example.com/webhooks/zavu",
"events": [
"message.queued"
],
"active": true,
"secret": "whsec_abc123..."
},
"whatsapp": {
"phoneNumberId": "<string>",
"displayPhoneNumber": "+14155551234",
"paymentStatus": {
"setupStatus": "COMPLETE",
"methodStatus": "VALID",
"canSendTemplates": true
}
},
"emailReceivingEnabled": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Sender details.
"sender_12345"
"Primary sender"
Phone number in E.164 format.
"+13125551212"
Whether this sender is the project's default.
Webhook configuration for the sender.
Show child attributes
WhatsApp Business Account information. Only present if a WABA is connected.
Show child attributes
Whether inbound email receiving is enabled for this sender.
curl --request GET \
--url https://api.zavu.dev/v1/senders/{senderId} \
--header 'Authorization: Bearer <token>'{
"id": "sender_12345",
"name": "Primary sender",
"phoneNumber": "+13125551212",
"isDefault": false,
"webhook": {
"url": "https://api.example.com/webhooks/zavu",
"events": [
"message.queued"
],
"active": true,
"secret": "whsec_abc123..."
},
"whatsapp": {
"phoneNumberId": "<string>",
"displayPhoneNumber": "+14155551234",
"paymentStatus": {
"setupStatus": "COMPLETE",
"methodStatus": "VALID",
"canSendTemplates": true
}
},
"emailReceivingEnabled": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}